---
title: "Pairing code for a new machine"
locale: en
url: https://tlg.builera.app/en/docs/reference/rest/nodes.pairing_code
verified: 2026-10-24
app_version: "2.0"
generated: true
---

# Pairing code for a new machine

New one-time pairing code for a Windows machine.

New one-time pairing code for a Windows machine.

## Overview

| Name | Value |
| --- | --- |
| Code | `nodes.pairing_code` |
| Scope needed | `infra.manage` |
| Risk | Write |
| May need confirmation | No |
| Runs as | Answers right away |
| Needs `Idempotency-Key` | No |
| Member roles allowed | `owner`, `manager` |
| In the app | Machines & proxies → machine |

## Input fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `nodeId` | `uuid` | Yes |   |

## Example request

```bash
curl -X POST https://tlg.builera.app/api/public/v2/ops/nodes.pairing_code \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"nodeId":"00000000-0000-0000-0000-000000000000"}'
```

## Output fields (`data`)

| Field | Type | Required |
| --- | --- | --- |
| `code` | `text` | Yes |
| `expiresAt` | `text` | Yes |
| `ok` | `true` | Yes |

## Example answer

```json
{
  "data": {
    "code": "text",
    "expiresAt": "2026-10-22T12:00:00.000Z",
    "ok": true
  }
}
```

## Using it over MCP

Not listed on any profile: call `tools_describe` then `tools_run` with `code: "nodes.pairing_code"`. Tool name when listed: `nodes_pairing_code`.
